ASPECT - Advanced Solver for Problems in Earth's ConvecTion
===========================================================
[![License GPL2:](https://img.shields.io/aur/license/yaourt.svg)](https://github.com/geodynamics/aspect/blob/master/LICENSE)
[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.1297145.svg)](https://doi.org/10.5281/zenodo.1297145)


About
-----

ASPECT is a code to simulate convection in Earth's mantle and elsewhere.
It has grown from a pure mantle-convection code into a tool for many
geodynamic applications including applications for inner core convection,
lithospheric scale deformation, two-phase flow, and numerical methods development.
The project is supported by CIG (http://geodynamics.org).



Installation instructions
-------------------------

The steps to install the necessary dependencies and ASPECT itself are described
in the Installation instructions section of the ASPECT
[manual](http://www.math.clemson.edu/~heister/manual.pdf). If you encounter
problems during the installation, please consult our
[wiki](https://github.com/geodynamics/aspect/wiki) for typical installation
problems or specific instructions for MacOS users, before asking your question
on the mailing list.



Running and extending ASPECT
----------------------------

Instructions on how to run and extend, as well as on how to interpret the
output of ASPECT can also be found in the ASPECT
[manual](http://www.math.clemson.edu/~heister/manual.pdf). This manual also
discusses the structure of the source code.

For getting started, you can also watch our online
[tutorial](https://geodynamics.org/cig/events/calendar/2016-cig-all-hands-meeting/aspect-tutorial/tutorial/).



Contributing to ASPECT
----------------------

ASPECT is a community project that lives by the participation of its
members — i.e., including you! It is our goal to build an inclusive
and participatory community so we are happy that you are interested in
participating! We have collected a set of guidelines and advice on how
to get involved in the community and keep them in the
[CONTRIBUTING.md](CONTRIBUTING.md)
file in ASPECT's repository.



More information
----------------

For more information see:
 - The official website at https://aspect.geodynamics.org
 - The current [manual](http://www.math.clemson.edu/~heister/manual.pdf)
 - [How to cite ASPECT](https://aspect.geodynamics.org/cite.html)
 - For questions on the source code of ASPECT, portability, installation, new or existing features, etc., use the [ASPECT forum](https://community.geodynamics.org/c/aspect). This forum is where the ASPECT users and developers all hang out. Archived discussions from the inactive aspect-devel mailing list can be downloaded at [aspect-devel archives](http://lists.geodynamics.org/pipermail/aspect-devel).
 - ASPECT is primarily based on the deal.II library. If you have particular questions about deal.II, contact the [deal.II discussion groups](https://www.dealii.org/mail.html).
 - In case of more general questions about mantle convection, you can contact the [CIG mantle convection mailing lists](http://lists.geodynamics.org/cgi-bin/mailman/listinfo/cig-MC).
 - ASPECT is being developed by a large, collaborative, and inclusive community. It is currently maintained by the following people:
     - Wolfgang Bangerth: bangerth@math.colostate.edu
     - Juliane Dannberg: judannberg@gmail.com
     - Rene Gassmoeller: rene.gassmoeller@mailbox.org
     - Timo Heister: heister@sci.utah.edu

 - The following people have significantly contributed and furthered ASPECT's goals and are therefore Principal Developers:

   - Jacky Austermann
   - Wolfgang Bangerth
   - Juliane Dannberg
   - Menno Fraters
   - Rene Gassmoeller
   - Anne Glerum
   - Timo Heister
   - John Naliboff

 - A complete and growing list of the many authors that have contributed over the years can be found at [github](https://github.com/geodynamics/aspect/graphs/contributors)
 - If you have specific questions about ASPECT that are not suitable for public and archived mailing lists, feel free to contact the maintainers or principal developers.



License
-------

ASPECT is published under [GPL v2 or newer](LICENSE).
